let bouton_generer = document.getElementById('btnGen');

//Envoi des données au serveur sur click du bouton générer
bouton_generer.addEventListener('click', function () {
    send_data();
})

let bouton_clear = document.getElementById('btnClr');
let Prompt = document.getElementById('Prompt');
let Neg_Prompt = document.getElementById('NegPrompt');

//Effacer les prompts sur click du bouton clear
bouton_clear.addEventListener('click', function () {
    Prompt.value = "";
    Neg_Prompt.value = "";
})

let touche_entree = document.getElementById('Prompt');

//Envoi des données au serveur sur pression de la touche entrée
touche_entree.addEventListener('keydown', function (event) {
    //si la touche entrée est pressée sans shift
    if (event.keyCode === 13 && !event.shiftKey) {
        //supprimer dans la case text l'entré en trop
        //touche_entree.value = touche_entree.value.slice(0, -1);
        event.preventDefault();
        //envoi des données au serveur
        send_data();
    }
})

//Work in progress
function update_progbar(i) {
    if (i < 100) {
        i = 100;
        $(".progress-bar").css("width", i + "%").text(i + "%");
    }
    else {
        $(".progress-bar").css("width", 100 + "%").text("Completed");
    }

}

const Affichage_Queue = document.getElementById('Queue_Aff');

//Affichage du nombre de personnes dans la queue
socket.on('position_queue', (Nb_Queued) => {
    if (Nb_Queued == 1) {
        console.log("It's your turn !");
        Affichage_Queue.innerHTML = "It's your turn !";
    }
    else {
        console.log(`There are ${Nb_Queued-1} users before you.`);
        Affichage_Queue.innerHTML = `There are ${Nb_Queued-1} users before you.`;
    }
}
);